Package org.lwjgl.opengl

# Class ARBTextureEnvCombine

java.lang.Object
org.lwjgl.opengl.ARBTextureEnvCombine

public final class ARBTextureEnvCombine extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ADD_SIGNED_ARB`
`static final int`
`GL_COMBINE_ALPHA_ARB`
`static final int`
`GL_COMBINE_ARB`
`static final int`
`GL_COMBINE_RGB_ARB`
`static final int`
`GL_CONSTANT_ARB`
`static final int`
`GL_INTERPOLATE_ARB`
`static final int`
`GL_OPERAND0_ALPHA_ARB`
`static final int`
`GL_OPERAND0_RGB_ARB`
`static final int`
`GL_OPERAND1_ALPHA_ARB`
`static final int`
`GL_OPERAND1_RGB_ARB`
`static final int`
`GL_OPERAND2_ALPHA_ARB`
`static final int`
`GL_OPERAND2_RGB_ARB`
`static final int`
`GL_PREVIOUS_ARB`
`static final int`
`GL_PRIMARY_COLOR_ARB`
`static final int`
`GL_RGB_SCALE_ARB`
`static final int`
`GL_SOURCE0_ALPHA_ARB`
`static final int`
`GL_SOURCE0_RGB_ARB`
`static final int`
`GL_SOURCE1_ALPHA_ARB`
`static final int`
`GL_SOURCE1_RGB_ARB`
`static final int`
`GL_SOURCE2_ALPHA_ARB`
`static final int`
`GL_SOURCE2_RGB_ARB`
`static final int`
`GL_SUBTRACT_ARB`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMBINE_ARB

public static final int GL_COMBINE_ARB

See Also:
  - Constant Field Values

### GL_COMBINE_RGB_ARB

public static final int GL_COMBINE_RGB_ARB

See Also:
  - Constant Field Values

### GL_COMBINE_ALPHA_ARB

public static final int GL_COMBINE_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_SOURCE0_RGB_ARB

public static final int GL_SOURCE0_RGB_ARB

See Also:
  - Constant Field Values

### GL_SOURCE1_RGB_ARB

public static final int GL_SOURCE1_RGB_ARB

See Also:
  - Constant Field Values

### GL_SOURCE2_RGB_ARB

public static final int GL_SOURCE2_RGB_ARB

See Also:
  - Constant Field Values

### GL_SOURCE0_ALPHA_ARB

public static final int GL_SOURCE0_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_SOURCE1_ALPHA_ARB

public static final int GL_SOURCE1_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_SOURCE2_ALPHA_ARB

public static final int GL_SOURCE2_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_OPERAND0_RGB_ARB

public static final int GL_OPERAND0_RGB_ARB

See Also:
  - Constant Field Values

### GL_OPERAND1_RGB_ARB

public static final int GL_OPERAND1_RGB_ARB

See Also:
  - Constant Field Values

### GL_OPERAND2_RGB_ARB

public static final int GL_OPERAND2_RGB_ARB

See Also:
  - Constant Field Values

### GL_OPERAND0_ALPHA_ARB

public static final int GL_OPERAND0_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_OPERAND1_ALPHA_ARB

public static final int GL_OPERAND1_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_OPERAND2_ALPHA_ARB

public static final int GL_OPERAND2_ALPHA_ARB

See Also:
  - Constant Field Values

### GL_RGB_SCALE_ARB

public static final int GL_RGB_SCALE_ARB

See Also:
  - Constant Field Values

### GL_ADD_SIGNED_ARB

public static final int GL_ADD_SIGNED_ARB

See Also:
  - Constant Field Values

### GL_INTERPOLATE_ARB

public static final int GL_INTERPOLATE_ARB

See Also:
  - Constant Field Values

### GL_SUBTRACT_ARB

public static final int GL_SUBTRACT_ARB

See Also:
  - Constant Field Values

### GL_CONSTANT_ARB

public static final int GL_CONSTANT_ARB

See Also:
  - Constant Field Values

### GL_PRIMARY_COLOR_ARB

public static final int GL_PRIMARY_COLOR_ARB

See Also:
  - Constant Field Values

### GL_PREVIOUS_ARB

public static final int GL_PREVIOUS_ARB

See Also:
  - Constant Field Values